<div *ngIf="sessionUser">
  <div *ngIf="sessionUser.role == Role.USER || sessionUser.role == Role.ADMIN">
    <h1 class="title has-text-centered">Events</h1>
    <div class="columns is-multiline">
      <div class="column is-4" *ngFor="let event of events">
        <div *ngIf="event.type == EventType.COMPETITION">
          <div class="box" id="Competition">
            <p class="subtitle"><strong>{{ event.title }}</strong></p>
            <p> Date: {{ event.date }}</p>
            <div *ngFor="let userStatus of userStatusList">
              <div *ngIf="userStatus.event.id == event.id">
                <p> Status: {{ userStatus.attend }}</p>
              </div>
            </div>
            <p> Type: {{ event.type }}</p>
            <button class="button" [routerLink]="['/event/' + event.id]" id="eventButtton">Details</button>
          </div>
        </div>
        <div *ngIf="event.type == EventType.TRAINING">
          <div class="box" id="Training">
            <p class="subtitle"><strong>{{ event.title }}</strong></p>
            <p> Date: {{ event.date }}</p>
            <div *ngFor="let userStatus of userStatusList">
              <div *ngIf="userStatus.event.id == event.id">
                <p> Status: {{ userStatus.attend }}</p>
              </div>
            </div>
            <p> Type: {{ event.type }}</p>
            <button class="button" [routerLink]="['/event/' + event.id]" id="eventButtton">Details</button>
          </div>
        </div>
        <div *ngIf="event.type == EventType.TEAMBUILDING">
          <div class="box" id="Teambuilding">
            <p class="subtitle"><strong>{{ event.title }}</strong></p>
            <p> Date: {{ event.date }}</p>
            <div *ngFor="let userStatus of userStatusList">
              <div *ngIf="userStatus.event.id == event.id">
                <p> Status: {{ userStatus.attend }}</p>
              </div>
            </div>
            <p> Type: {{ event.type }}</p>
            <button class="button" [routerLink]="['/event/' + event.id]" id="eventButtton">Details</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
